﻿using System.Windows;


namespace WebRegex01
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            urlAdress.Text = "http://webdesign.vdlz.xyz/index.html";
            regexFormula.Text = "<a href=\"(.*?)\".*?>";
        }

        private void urlAcsses_Click(object sender, RoutedEventArgs e)
        {
            string url = urlAdress.Text;
            GetHtmlTexte gethtml = new GetHtmlTexte(url);
            htmlText.Text = gethtml.result;
        }

        private void doRegex_Click(object sender, RoutedEventArgs e)
        {
            string rPattern = regexFormula.Text;
            DoRegex RResult = new DoRegex(rPattern, htmlText.Text);
            regexResult.Text = RResult.RegexResult;
        }
    }
}
